%solve the following problem
%min c^T x
%s.t. x = A*y
%     l_x <= x <= u_x
%     l_y<= y <=u_y,

%-----------------
clc;close all;clear;
cvx_quiet(false);

m=10;n=5;
A=randn(m,n);
c=randn(m,1);

Bx=randn(m,2);
lx=min(abs(Bx),[],2)-10;
ux=max(abs(Bx),[],2)+10;


By=randn(n,2);
ly=min(abs(By),[],2);
uy=max(abs(By),[],2);
%-----------------------
cvx_begin
variables x(m) y(n);
minimize(c'*x) 
subject to

x==A*y;
lx<=x<=ux;
ly<=y<=uy;

cvx_end



