%solve the following problem
%min c^T x
%s.t. x = A*y
%     l_x <= x <= u_x
%     l_y<= y <=u_y,

%-----------------
clc;close all;clear;
cvx_quiet(false);
%-----------------
m=10;n=5;p=5;

A=randn(m,n);

Temp=randn(m,m);
Q0=Temp'*Temp;

Q=randn(m,m,p);
for j=1:p
    Temp=randn(m,m);
    Q(:,:,j)=Temp'*Temp;
end;

b=abs(randn(p,1))+500;
u=-abs(randn(n,1));

%-----------------------
cvx_begin
variables x(m) y(n);
minimize( x'*Q0*x) 
subject to

x==A*y;
for j=1:p
    x'*Q(:,:,j)*x<= b(j);
end;

y<= u;

cvx_end
